<p id="notice"><%= notice %></p>
<div class="container">
  <nav class="breadcrumb">
    <%= link_to "Home", root_path, class: "breadcrumb-item"%>
    <%= link_to "Projects", projects_path, class: "breadcrumb-item" %>
    <span class="breadcrumb-item active"> <%= @project.name %></span>
  </nav>
  <br>
  <div class="row">
    <div class="col btn-group">
      <button class="btn btn-secondary active"> <%= link_to 'Overview', @project %> </button>
      <button class="btn btn-secondary"><%= link_to 'Issues', project_tickets_path(@project) %></button>
      <button class="btn btn-secondary"><%= link_to 'New Issue', new_project_ticket_path(@project) %></button>
    </div>
  </div>
  <div class="row">
    <div class="col-5">
      <div class="card">
        <div class="card-header"><storng>Info</storng>
          <div class="btn-group pull-right">
          <%= link_to "<i class='fa fa-pencil'></i>".html_safe, edit_project_path(@project), class: "btn btn-secondary btn-sm" %>  
          <%= link_to "<i class='fa fa-times'></i>".html_safe, project_path(@project), method: :delete, data: {confirm: "Are you sure?" }, class: "btn btn-secondary btn-sm" %>  
          </div>
        </div>
        <div class="card-block">
          <dl class="row">
            <dt class="col-sm-3">Name</dt>
              <dd class="col-sm-9"><%= @project.name %></dd>
            <dt class="col-sm-3">Description</dt>
              <dd class="col-sm-9"> <%= @project.description %></dd>
          </dl>
        </div>
      </div>
    </div>
    <div class="col-5">
      <div class="card">
        <div class="card-header">Members</div>
        <div class="card-block"> 
        <% @project_users.each do |u| %>
          <%= link_to [u.name, u.last_name].join(" "), peoples_path %>,&nbsp;
        <% end %>
        </div>
      </div>
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-10">
      <div class="card">
        <div class="card-header">Project Statistics</div>
        <div class="card-block">
          <div class="row">
            <div class="col-6">
              <dl class="row">
                <dt class="col-sm-4">Last Activity</dt>
                  <dd class="col-sm-8"><%= time_ago_in_words(@project.tickets.maximum('updated_at'))%></dd>
                <dt class="col-sm-4">Issues Ratio</dt>
                  <dd class="col-sm-8"><%= @project.tickets.where(state: "In Progres").count %> / <%= @project.tickets.count %> </dd>
                <dt class="col-sm-4">Closed Issues</dt>
                  <dd class="col-sm-8"><%= @project.tickets.where(state: "Closed").count %></dd>  
              </dl>
            </div>
            <div class="col-6">
              <dl class="row">
                <dt class="col-sm-4">Total Hours</dt>
                  <dd class="col-sm-8"> <%= @total_hours %> </dd>
              </dl>
            </div>
          </div>
      </div>    
      </div>
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-10">
      <div class="card">
        <div class="card-header">Urgent tickets</div>
        <% if @urgent.try(:any?) %>
        <table class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>ID</th>
              <th>Subject</th>
              <th>State</th>
              <th>Assignee</th>
              <th>Last Action</th>
              <th>Comments</th>
              <th>Time</th>
              <th colspan="4" ></th>
            </tr>
          </head>
          <tbody>
          <% @urgent.each do |ticket| %>
            <tr>
              <td><%= ticket.id %></td>
              <td><%=ticket.subject %></td>
              <td><%=ticket.state %></td>
              <td><%= @users.find(ticket.user_id).name %>&nbsp;<%= @users.find(ticket.user_id).last_name %></td>
              <td>
                <% if ticket.comments.try(:any?) %>
                  <%= time_ago_in_words(ticket.comments.maximum('updated_at')) %>
                <% else %>
                  <%= time_ago_in_words(ticket.updated_at) %>
                <% end %>
              </td>
              <td><%= ticket.comments.count %></td>
              <td>
                <%= ticket.timelogs.sum(:spend_time)%> / 
                <%= ticket.estimated_hours %>
              </td>
              <td><%= link_to "<i class='fa fa-arrow-right'></i>".html_safe, change_project_ticket_path(@project, ticket, state: "in progres" ), method: :put %></td>
              <td><%= link_to "<i class='fa fa-eye'></i>".html_safe, project_ticket_path(@project,ticket) %></td>
               
              <td><%= link_to "<i class='fa fa-pencil'></i>".html_safe, edit_project_ticket_path(@project, ticket) %></td>
              <td><%= link_to "<i class='fa fa-times'></i>".html_safe, project_ticket_path(@project,ticket), method: :delete, data: { confirm: 'Are you sure?' } %></td>
            </tr>
          <% end %>
          </tbody>
        </table>
        <%end %>
      </div>
    </div>
  </div>
</div>